/*   -*-c++-*- 
*
* Copyright (C) 2008 Cedric Pinson
*
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.
*
* Authors:
*  Cedric Pinson <mornifle@plopbyte.net>
*
*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <iostream>
#include "Viewer"

namespace pokme {

  Viewer::Viewer() 
  {
    
  }

  int Viewer::run(const std::vector<std::string>& args)
  {
    int argc = args.size();
    std::vector<char*> argv;
    argv.resize(argc);
    for (int i = 0; i < argc; i++)
      argv[i] = (char*) args[i].c_str();
    std::cout << argc << " arguments" << std::endl;
    for (int i = 0; i < argc; i++)
      std::cout << argv[i] << " arg" << std::endl;
    return 0;
  }

}
